# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApprovalAssignment Class Reference

`#include <StepBasic_ApprovalAssignment.hxx>`

Inheritance diagram for StepBasic_ApprovalAssignment:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Init (const Handle(StepBasic_Approval)&aAssignedApproval)
Standard_EXPORT void | SetAssignedApproval (const Handle(StepBasic_Approval)&aAssignedApproval)
Standard_EXPORT Handle_StepBasic_Approval | AssignedApproval () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_Approval | assignedApproval

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Approval StepBasic_ApprovalAssignment::AssignedApproval | ( |  | ) | const

Standard_EXPORT const StepBasic_ApprovalAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_CcDesignApproval, StepAP214_AppliedApprovalAssignment, and StepAP214_AutoDesignApprovalAssignment.

virtual Standard_EXPORT void StepBasic_ApprovalAssignment::Init | ( | const Handle(StepBasic_Approval)& | aAssignedApproval | ) | `[virtual]`

| Reimplemented in StepAP214_AppliedApprovalAssignment, and StepAP214_AutoDesignApprovalAssignment.

Standard_EXPORT void StepBasic_ApprovalAssignment::SetAssignedApproval | ( | const Handle(StepBasic_Approval)& | aAssignedApproval | ) |

## Field Documentation

Handle_StepBasic_Approval StepBasic_ApprovalAssignment::assignedApproval `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApprovalAssignment.hxx